#
# Conditional build:
%bcond_without	tests	# do not perform "make test"
#
%include	/usr/lib/rpm/macros.perl
%define		pdir	Compress
%define		pnam	LZO
Summary:	Compress::LZO Perl module - interface to LZO compression library
Summary(pl.UTF-8):	Moduł Perla Compress::LZO - interfejs do biblioteki kompresji LZO
Name:		perl-Compress-LZO
Version:	1.08
Release:	13
License:	GPL v2
Group:		Development/Languages/Perl
Source0:	http://www.cpan.org/modules/by-module/Compress/%{pdir}-%{pnam}-%{version}.tar.gz
# Source0-md5:	4266ea0cb23817dd02ead4f983c2604f
Patch0:		%{name}-lzo2.patch
URL:		http://search.cpan.org/dist/Compress-LZO/
BuildRequires:	lzo-devel >= 2.0
BuildRequires:	perl-devel >= 1:5.8.0
BuildRequires:	rpm-perlprov >= 4.1-13
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
LZO is a portable lossless data compression library written in ANSI C.
It offers pretty fast compression and very fast decompression.
Decompression requires no memory. perl-LZO provides LZO bindings for
Perl - i.e. you can access the LZO library from your Perl scripts
thereby compressing ordinary Perl strings.

%description -l pl.UTF-8
LZO jest przenośną biblioteką do bezstratnej kompresji danych,
napisaną w ANSI C. Oferuje szybką kompresję i bardzo szybką, nie
wymagającą pamięci, dekompresję. perl-LZO udostępnia interfejs dla
Perla - pozwalający na dostęp do biblioteki LZO ze skryptów perlowych,
do kompresji zwykłych łańcuchów.

%prep
%setup -q -n %{pdir}-%{pnam}-%{version}
%patch0 -p1

%build
%{__perl} Makefile.PL \
	INSTALLDIRS=vendor
%{__make} \
	CC="%{__cc}" \
	OPTIMIZE="%{rpmcflags}"

%{?with_tests:%{__make} test}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc NEWS README
%{perl_vendorarch}/Compress/LZO.pm
%dir %{perl_vendorarch}/auto/Compress/LZO
%{perl_vendorarch}/auto/Compress/LZO/autosplit.ix
%attr(755,root,root) %{perl_vendorarch}/auto/Compress/LZO/*.so
%{_mandir}/man3/*
%changelog
* Wed Feb 04 2015 TLD Linux <feedback@tld-linux.org>
- For complete changelog see: http://git.tld-linux.org/?p=packages/perl-Compress-LZO.git;a=log;h=master

* Fri Sep 12 2014 Jan Rękorajski <baggins@pld-linux.org> e765bc3
- release 13 (by relup.sh)

* Fri Sep 12 2014 Jan Rękorajski <baggins@pld-linux.org> bf1dd3d
- removed zero-sized .bs file

* Fri Sep 12 2014 Jan Rękorajski <baggins@pld-linux.org> 738286a
- rebuild for perl 5.20
- release 12 (by relup.sh)

* Sat Jun 08 2013 Jan Rękorajski <baggins@pld-linux.org> e5b176d
- rebuild with perl 5.18.0
- release 11 (by relup.sh)

* Tue Oct 04 2011 lisu <lisu@pld-linux.org> 4e6a6f2
- rel 10

* Fri Nov 12 2010 pawelz <pawelz@pld-linux.org> bda1a40
- release 9

* Sun Jun 06 2010 Arkadiusz Miśkiewicz <arekm@maven.pl> e597452
- release 8

* Sat Mar 14 2009 hawk <hawk@pld-linux.org> 8f380eb
- release 7

* Sat Feb 23 2008 Elan Ruusamäe <glen@pld-linux.org> 2ca04ee
- release 6

* Sun Feb 10 2008 Arkadiusz Miśkiewicz <arekm@maven.pl> d5a6be1
- rel 5

* Thu Jan 10 2008 Elan Ruusamäe <glen@pld-linux.org> 8f25864
- add CC to %{__make}
  grep OPTIMIZE= perl-* -l|xargs grep -c CC=|grep :0|cut -d: -f1|xargs sed -i -e '/%{__make} \\$/a\\tCC="%{__cc}" \\'

* Tue Feb 13 2007 Elan Ruusamäe <glen@pld-linux.org> 531b645
- tabs in preamble

* Mon Feb 12 2007 Jan Rękorajski <baggins@pld-linux.org> 0dc056f
- converted to UTF-8

* Fri Dec 22 2006 Jakub Bogusz <qboosh@pld-linux.org> 7cd1bdf
- unified

* Mon Dec 11 2006 Elan Ruusamäe <glen@pld-linux.org> 0b58979
- lzo2 ready; rel 4

* Mon Dec 11 2006 Elan Ruusamäe <glen@pld-linux.org> 2bea13b
- from mandriva:
  http://cvs.mandriva.com/cgi-bin/viewvc.cgi/contrib-SPECS/perl-Compress-LZO/Compress-LZO-1.08-lzo2.patch?revision=1.1

* Mon Dec 11 2006 Elan Ruusamäe <glen@pld-linux.org> f3c6786
- add generic URL

* Wed Nov 03 2004 paladine <paladine@pld-linux.org> ea16d25
- formatting

* Sat Jun 05 2004 radek <radek@pld-linux.org> 0a66e78
- cosmetic unification: s/^%define\s+(pdir|pnam)\s+/%define\t$1\t/

* Fri May 07 2004 ankry <ankry@pld-linux.org> 2957820
- rel. 3

